Skip to main content
GET
Get current quota

Authorizations

Authorization
string
header
required

Synth customer access token for the current user and organization.

Path Parameters

user_id
string<uuid>
required

Response

Current rolling-window quota state for the user.

Current quota status for a user within the rolling window.

max_compute_seconds
number
required
quota_exhausted
boolean
required
remaining_compute_seconds
number
required
Required range: x >= 0
used_compute_seconds
number
required
Required range: x >= 0
utilization_pct
number
required
Required range: 0 <= x <= 100
window_end
string<date-time>
required

End of current rolling window (now)

window_seconds
integer
required

Rolling window size in seconds (e.g. 18000 = 5h)

window_start
string<date-time>
required

Start of current rolling window